List all service config sections
GET
/api/v1/service-config
const url = 'https://osctrl.net/api/v1/service-config';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://osctrl.net/api/v1/service-config \ --header 'Authorization: <Authorization>'Returns all service configuration sections across all services.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
object
createdAt
string
deletedAt
object
time
string
valid
Valid is true if Time is not NULL
boolean
editable
boolean
environmentID
integer
id
integer
info
string
name
string
service
string
source
“yaml” or “db”
string
type
Always “json” for now
string
updatedAt
string
value
string
Examplegenerated
[ { "createdAt": "example", "deletedAt": { "time": "example", "valid": true }, "editable": true, "environmentID": 1, "id": 1, "info": "example", "name": "example", "service": "example", "source": "example", "type": "example", "updatedAt": "example", "value": "example" }]Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}